Bug 1463838 - [RFE][Nova][NFV][IF4] Scheduler to relate bandwidth per SR-IOV interface to total PF bandwidth
[RFE][Nova][NFV][IF4] Scheduler to relate bandwidth per SR-IOV interface to t...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: nova-maint
: FutureFeature
Depends On:
Blocks: 1235009 1419948
  Show dependency treegraph
Reported: 2017-06-21 17:01 EDT by JP Jung
Modified: 2018-03-20 11:05 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JP Jung 2017-06-21 17:01:52 EDT
Description of problem:

* Some VNF requires the use of SRIOV for dataplane interfaces, specifying also a BW for that interface. The BW required for each interface is a requirement specified in the VNF descriptor.
* PCI SRIOV allows multiplexing a single physical interface into several virtual interfaces called Virtual Functions (VF) or SRIOV interfaces. This means that from a single 10G physical interface we should be able to split it in several virtual functions each one consuming a different BW:
    * Example 1: 4 virtual functions with 5Gbps, 2Gbps, 2Gbps and 1Gbps
    * Example 2: 10 virtual functions, each one with 1Gbps
* The number of VF configured in a physical interface can be high, for instance 64, but the number of actually used VF in a physical interface depends on the actual BW reserved for each VF and the total BW of the physical interface.
* When searching a host to deploy a VM, nova scheduler should take into account the amount of BW reserved by the previous VMs on each physical interface. Today, BW is not taken into consideration.
* Moreover, BW occupied on each physical interface is an important driver for host selection. It might make sense for nova to have some policy that prefers deploying on a host whose physical interfaces have less available BW in order to make a better use of the network resources.
Comment 2 Stephen Gordon 2017-11-22 14:14:40 EST
I think we still need a deeper discussion on this, unfortunately not anything happening from a Compute POV for Queens/RHOSP 13.
Comment 3 Franck Baudin 2017-12-04 07:17:23 EST
This is part of RHOSP14 QoS EPIC, that will be internally available before the end of the calendar year.

Note You need to log in before you can comment on or make changes to this bug.